# Namespace hcap.power

hcap.power

- Defined in: hcap-1.24.6.5901.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| hcap.power

## Method Summary

## Namespace Detail

hcap.power

## Method Detail

- <static> hcap.power.getPowerMode(param)
  Gets the power mode of the TV.

      hcap.power.getPowerMode({
           "onSuccess" : function(s) {
               console.log("onSuccess power mode " + s.mode);
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function (param) {
                // {Number} param.mode - power mode of the TV.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.3.1
  See:
    hcap.power.setPowerMode()
    hcap.power.isWarmUpdate()
    hcap.power.PowerMode.WARM
    hcap.power.PowerMode.NORMAL
- <static> hcap.power.isWarmUpdate(param)
  Gets whether TV power is in warm update or not.
  "warm update" means the duration from starting HCAP application upgrade and EZ-I upgrade in the power WARM state to the power STANDBY.

      hcap.power.isWarmUpdate({
           "onSuccess":function(s) {
               console.log("onSuccess : is warm update = " + s.isWarmUpdate);
           },
           "onFailure":function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function(param) {
                // {Boolean} param.isWarmUpdate - true : TV power is in warm update, otherwise false.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function(param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.19.0
  See:
    hcap.power.getPowerMode()
    hcap.power.setPowerMode()
    hcap.power.PowerMode.WARM
    hcap.power.PowerMode.NORMAL
- <static> hcap.power.powerOff(param)
  Turns off the TV.

      hcap.power.powerOff({
           "onSuccess" : function() {
               console.log("onSuccess");
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.3.1
  See:
    hcap.power.reboot()
- <static> hcap.power.reboot(param)
  power.reboots the TV.

      hcap.power.reboot({
           "onSuccess" : function() {
               console.log("onSuccess");
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.3.1
  See:
    power.powerOff()
- <static> hcap.power.setPowerMode(param)
  Sets the power mode of the TV.

      hcap.power.setPowerMode({
           "mode" : hcap.power.PowerMode.WARM,
           "onSuccess" : function() {
               console.log("onSuccess");
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Number} param.mode [Required] - power mode to be set for TV. Possible values are followings.

      mode | value | description
      --- | --- | ---
      Standby mode | - | TV is off
      Normal mode | hcap.power.PowerMode.NORMAL | the board and the panel is on
      Warm mode | hcap.power.PowerMode.WARM | the board is alive but the panel is off
      Power mode of TV

    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.
      Setting to the same power mode as before will invoke this callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.3.1
  See:
    hcap.power.getPowerMode()
    hcap.power.isWarmUpdate()
    hcap.power.PowerMode.WARM
    hcap.power.PowerMode.NORMAL